<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" data-namespace-typo3-fluid="true">
<f:layout name="Default" />
<f:section name="Main">

    <f:if condition="{menu}">
        <div class="row row-cols-1 row-cols-md-2 row-cols-lg-3 g-4">
            <f:for each="{menu}" as="page">
                <div class="col">
                    <div class="card">
                        <div class="card-body">
                            <f:if condition="{page.files}">
                                <f:then>
                                    <f:for each="{page.files}" as="file">
                                        <f:media file="{file}" width="475" height="257" class="card-img-top" loading="lazy"/>
                                    </f:for>
                                </f:then>
                                <f:else>
                                    <img src="https://via.placeholder.com/475x257" width="475" height="257" class="card-img-top" loading="lazy">
                                </f:else>
                            </f:if>
                        </div>
                        <div class="card-footer pb-3">
                            <a href="{page.link}"{f:if(condition: page.target, then:'target="{page.target}"')} title="{page.title}" class="btn btn-primary">
                                <span>{page.title}</span>
                            </a>
                        </div>
                    </div>
                </div>
            </f:for>
        </div>
    </f:if>

</f:section>
</html>
